> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Returns a paginated list of supported financial institutions.


# List all institutions



## OpenAPI

````yaml get /v2/open-banking/institutions
openapi: 3.0.0
info:
  title: Open Banking API
  version: 1.0.0
  description: >
    Open banking endpoints for connect URLs, bank accounts, institutions, and
    banking reports.
servers: []
security:
  - basicAuth: []
paths:
  /v2/open-banking/institutions:
    get:
      summary: List all institutions
      description: Returns a paginated list of supported financial institutions.
      parameters:
        - in: query
          name: search
          required: false
          schema:
            type: string
          description: Search term (financial institution name).
        - in: query
          name: type
          required: false
          schema:
            type: string
            enum:
              - voa
              - voi
          description: >
            Report type eligibility.


            Possible values:

            - `voa` - Verification of Assets

            - `voi` - Verification of Income


            If `voa` is `true` but `voi` is `false`, VOAI reports contain only
            asset data.

            If `voi` is `true` but `voa` is `false`, VOAI reports contain only
            income data.
        - in: query
          name: limit
          required: false
          schema:
            type: integer
          description: Number of institutions per page.
        - in: query
          name: start
          required: false
          schema:
            type: integer
          description: Index of page results to return.
        - in: query
          name: cursor
          schema:
            type: string
          description: >-
            The URL returned in `next` or `previous` used to retrieve another
            [page](/api-guide/overview#pagination) of results.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  next:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the next page of results, if available.
                  previous:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the previous page of results, if available.
                  results:
                    type: array
                    items:
                      type: object
              example:
                found: 8263
                displaying: 25
                more_available: true
                requested_date: '2025-06-10T17:39:43.000Z'
                institutions:
                  - id: 10
                    rssd: 0
                    name: Discover Card (All Account Types)
                    trans_agg: true
                    ach: true
                    state_agg: true
                    voi: true
                    voa: true
                    aha: false
                    avail_balance: true
                    account_owner: true
                    student_loan_data: false
                    loan_payment_details: false
                    child_institutions: []
                  - id: 12
                    rssd: 0
                    name: E*TRADE
                    trans_agg: true
                    ach: true
                    state_agg: false
                    voi: true
                    voa: true
                    aha: false
                    avail_balance: true
                    account_owner: true
                    student_loan_data: false
                    loan_payment_details: false
                    child_institutions: []
                  - id: 18
                    rssd: 0
                    name: SouthTrust
                    trans_agg: true
                    ach: false
                    state_agg: false
                    voi: true
                    voa: true
                    aha: false
                    avail_balance: false
                    account_owner: true
                    student_loan_data: false
                    loan_payment_details: false
                    child_institutions: []
                  - id: 23
                    rssd: 0
                    name: Merrill Lynch
                    trans_agg: true
                    ach: false
                    state_agg: true
                    voi: true
                    voa: true
                    aha: false
                    avail_balance: false
                    account_owner: true
                    student_loan_data: false
                    loan_payment_details: false
                    child_institutions: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````